{# Templates/City/optionUpgradeSoldier.html.twig #}
{# City option which permits to upgrade soldier to specialized units #}

{% extends 'City/city.html.twig' %}

{% trans_default_domain('City') %}

{% block cityOptionsTitle %}
    {{ 'header.soldierOptions' | trans }}
{% endblock %}

{% block cityOption %}
    {# TODO Refactor this, backend has changed! #}
    {# TODO Make a component per unit conversion (with building required, unit to convert, resource required, ... #}

    {% set canUpgradeSoldier = false %}
    {% for resourceSchemas in upgradeSchemas %}
        {% for schema in resourceSchemas[1:] %}
            {% if lord.city.buildingLevel(schema.requiredBuilding.name) > 0 %}
                {% set canUpgradeSoldier = true %}
            {% endif %}
        {% endfor %}
    {% endfor %}

    {% if not canUpgradeSoldier %}
        <p class="firstp nothing">
            {{ 'messages.soldierOptions.noRequiredBuilding' | trans }}
        </p>
    {% else %}
        <table class="blocks2">
            <tbody>
            <tr>
                {% set a = 0 %}
                {% for resourceSchemas in upgradeSchemas %}
                    {% if a%2 == 0 %}
                        </tr><tr>
                    {% endif %}
                    {% include 'City/Components/upgradeSoldier.html.twig' with { 'resourceSchemas': resourceSchemas } %}
                    {% set a = a + 1 %}
                {% endfor %}
            </tr>
            </tbody>
        </table>
    {% endif %}

    {% if lord.city.recruiting %}
        {% set buttonText =  'messages.soldierOptions.recruitment.disable' | trans %}
    {% else %}
        {% set buttonText =  'messages.soldierOptions.recruitment.enable' | trans %}
    {% endif %}

    <div class="butimpro">
        <div class="float">
            <a href="{{ path('app_city_togglerecruitment') }}" class="button twolines float"
               onmouseover="showHintMsg(this,'{{ 'messages.soldierOptions.recruitment.desc' | trans }}')"
               onmouseout="hideHint()">{{ buttonText }}</a>
        </div>

        <div class="float">
            <a href="{{ path('app_city_city') }}" class="button float">{{ 'messages.back' | trans([], "Common") }}</a>
        </div>
    </div>

    <div class="clear">
    </div>
{% endblock %}